education:
- concentration: Computer Science
  degree: Bachelor of Science
  end_date: 2008-05-01
  location: Worcester, Ma
  school: WPI
  start_date: 2004-08-01
employment:
- achievements: []
  company: Spire Global
  end_date: null
  location: Boulder, CO
  responsibilities:
  - description: Manage engineers and guide career development
  - description: Plan product roadmap
  - description: Lead team in agile software development
  - description: Build features and design new products
  start_date: 2018-11-01
  summary: Lead development of tools and systems for constellation monitoring
  title: Engineering Manger, Space Operations Software
- achievements: []
  company: TRED
  end_date: 2018-11-01
  location: Remote
  responsibilities:
  - description: Lead the team as Scrum Master encouraging agile practices
  start_date: 2018-07-01
  summary: Developed new features for the TRED marketplace
  title: Senior Software Engineer
- achievements: []
  company: PureCars
  end_date: 2018-06-01
  location: Remote
  responsibilities:
  - description: Managed team members, including performance reviews, coaching, and
      mentoring
  - description: Interface with product and leadership teams helping to build product
      backlog
  - description: Lead the team as Scrum Master encouraging agile practices
  start_date: 2015-04-01
  summary: Managed development team responsible for lead tracking and website scraping
  title: Engineering Manager, Calltracking, Webcrawling, OEM Reports
- achievements:
  - description: Brought on to team as an 'agent of change' to improve team's agile
      software development practices and make the team more reliable and effective
  - description: Extended legacy billing system to support new types of add-on services
  - description: Helped integrate Buildium residential lease tracking with Assurant
      Renters Insurance offering
  - description: Helped add tenant background check and credit checking service
  company: Buildium
  end_date: 2016-03-31
  location: Boston, Ma
  responsibilities:
  - description: Developed property management software for residential property owners
      and management companies
  - description: Worked  with .net (C#) and mysql to implement features in the core
      Buildium product
  start_date: 2015-01-01
  summary: Worked on property management software designed to help property managers.
    Architected backend solutions and participated in design sessions to deliver products
    that met customers need
  title: Senior Software Engineer
- achievements:
  - description: Led feature team adding FTP mounting ability and other related features
      to UI and core libraries
  - description: Helped implement "perfect file locking" between filers to create
      an effective distributed file system
  - description: Add feature versioning for maintaining compatibility with older version
      of the filer
  - description: Designed "sideloading" feature for installing new versions of the
      filer
  company: Nasuni
  end_date: 2014-12-01
  location: Natick, Ma
  responsibilities:
  - description: Maintained UI (Python/CSS/JS) and core libraries (Python/C/C++) of
      the Nasuni Storage Filer and Console
  - description: Maintained testing infrastructure and automation dashboard (Python)
  start_date: 2013-02-01
  summary: Started with automation team maintaining automation framework and building
    messaging queue. Switched to development team working on core product, fixing
    bugs and building new solutions for enterprise storage using cloud storage and
    other technologies
  title: Software Engineer
- achievements:
  - description: Reverse engineered RPM binary driver build process in order to extend
      support for other distributions
  - description: Rewrote internal testing framework in Python to make it easier to
      maintain and extend
  company: Emulex
  end_date: 2013-01-01
  location: Bolton, Ma
  responsibilities:
  - description: Managed intern team used to support internal testing framework
  - description: Maintained nightly testing and CI infrastructure (Perl)
  - description: Fixed kernel Linux driver and library userspace interface bugs (C)
  - description: Interfaced with major Linux distributions for inbox driver submissions
      and bug fixes
  - description: Handled driver release responsibilities and maintained python build
      scripts
  - description: Maintained svn branching structure and merges
  - description: QAed Linux driver, interface library and GUI configuration toolHelped
      write regression tests
  start_date: 2008-05-01
  summary: Started with Linux QA team testing full product stack quickly transitioned
    to development team maintaining test and build tools, as well as architecting
    new solutions. Eventually fixing Linux kernel driver and library bugs
  title: Senior Software Engineer
info:
  address: '3000 Broadway St. #17'
  city: Boulder
  email: hiring@codinghipster.com
  name: Joseph S Mann
  phone_number: 845-417-3780
  state: CO
  zipcode: '80304'
interests:
- description: Agile Development Practices
- description: Domain Driven Design
- description: RESTful APIs
- description: Microservices
- description: Cloud Computing & Storage
- description: Open Source
last_modified: '2019-12-03T01:21:29.852920Z'
skillset:
- name: Programming Languages
  skills:
  - value: Python
  - value: Javascript
  - value: Golang
  - value: C#
  - value: C
  - value: C++
  - value: Bash
  - value: Perl
- name: Web Frameworks and Tools
  skills:
  - value: Django
  - value: React
  - value: NodeJS
  - value: Flask
  - value: AngularJS
  - value: ASP.NET
- name: Databases and Object Storage
  skills:
  - value: Postgres
  - value: Redis
  - value: MySQL
  - value: MongoDB
- name: Other Technologies and Utilities
  skills:
  - value: RESTful APIs
  - value: AWS
  - value: GraphQL
